ext {
    // AdMob配置 - Play 市场版本
    admob = [applicationId: "ca-app-pub-1350364678590045~1984631821", // Play市场AdMob应用ID
             adUnitIds    : [banner      : "ca-app-pub-1350364678590045/8582717815",        // 横幅广告正式ID
                             interstitial: "ca-app-pub-1350364678590045/5193588407", // 插页广告正式ID
                             splash      : "ca-app-pub-1350364678590045/5568653612",       // 开屏广告正式ID
                             native      : "ca-app-pub-1350364678590045/8003245260",        // 原生广告正式ID
                             full_native : "ca-app-pub-1350364678590045/1219233112"        // 原生广告正式ID
             ]]

    // Pangle配置
    pangle = [applicationId: "8750604", // Pangle测试应用ID
              adUnitIds    : [splash      : "",        // 开屏广告测试ID（竖屏）
                              banner      : "",        // 横幅广告测试ID（320x50）
                              interstitial: "982604080",       // 插页广告测试ID（竖屏）
                              native      : "",        // 原生广告测试ID
                              full_native : "",        // 全屏原生广告测试ID
                              rewarded    : ""         // 激励视频测试ID（竖屏）
              ]]

    // TopOn配置
    topon = [applicationId: "h1gq3c2vm973ma",           // TopOn 应用 ID（需替换为实际值）
             appKey       : "a96bffecc1c32132c6984a3e97512b5f9",          // TopOn 应用密钥（需替换为实际值）
             adUnitIds    : [interstitial: "n1gq3c2vobnfr5",  // 插页广告位 ID（需替换为实际值）
                             rewarded    : "",  // 激励广告位 ID
                             native      : "n1gq3c2vpbobmj",  // 原生广告位 ID（需替换为实际值）
                             splash      : "n1gq3c2vppegpc",  // 开屏广告位 ID（需替换为实际值）
                             full_native : "n1gq3c2volk4ad",  // 全屏原生广告位 ID（需替换为实际值）
                             banner      : "n1gq3c2vq30fsn"]  // 横幅广告位 ID（需替换为实际值）
    ]

    // 应用版本配置 - Play 市场版本
    app = [applicationId: "com.files.restore.recovery.tool.deleted.document.photo.video.audio.app.mobile.scan.utility",
           compileSdk   : 35,
           minSdk       : libs.versions.minSdk.get().toInteger(),
           targetSdk    : 35,
           versionCode  : 3,
           versionName  : "1.0.2"]

    url = [privacyUrl: "https://alifmd.com/privacy.html",
           teamUrl   : "https://alifmd.com/privacy.html",]

    // 统计归因配置
    analytics = [adjustAppToken: "h6qax9dxv7cw",           // Adjust App Token
                 thinkingDataAppId: "61b7ef0186b74b76b301b67184b7b48b",   // 数数 SDK APP ID
                 thinkingDataServerUrl: "https://xray.alifmd.com",// 数数上报域名
                 defaultUserChannel: "natural"]     //默认渠道
}